// 只获取指定的参数(浅复制);
function getParams(params, arr) {
  const res = Object.create(null)
  if (!params) return res
  if (Object.prototype.toString.call(params) === '[object FormData]') {
    // formData类型直接返回
    return params
  }
  if (arr && arr.length) {
    // 只对需要处理的处理下
    arr.forEach((item) => {
      if (item) {
        res[item] = params[item] || ''
      }
    })
    return res
  } else {
    return params
  }
}

export default {
  getParams,
}
